CREATE TABLE aim_and_scope (journal_id integer PRIMARY KEY, home_txt TEXT, html_txt TEXT);
CREATE TABLE "announcements" ("announcement_id" INTEGER PRIMARY KEY  NOT NULL , "announcement_title" TEXT, "announcement_text" TEXT, "read" INTEGER DEFAULT 0, "announcement_date" NUMERIC);
CREATE TABLE "article" ("copyright_information" TEXT,"is_abstract_present" NUMERIC,"citation_text" TEXT,"has_supplements" NUMERIC,"has_videos" NUMERIC,"has_figures" NUMERIC,"has_abstract_image" NUMERIC,"has_audios" NUMERIC,"has_documents" NUMERIC,"doi" TEXT,"_id" INTEGER ,"issue_id" INTEGER DEFAULT (null) ,"title" VARCHAR,"author" VARCHAR,"html" VARCHAR,"pdf" VARCHAR,"keywords" VARCHAR,"date_of_release" VARCHAR,"type" VARCHAR,"article_in_press" VARCHAR,"is_bookmarked" NUMERIC DEFAULT (0) ,"page_range" Varchar,"is_article_downloaded" integer DEFAULT (0) ,"article_info_id" Varchar(100) PRIMARY KEY ,"doi_link" VARCHAR,"sequence_no" INTEGER,"is_article_abstract_downloaded" NUMERIC,"has_abs_supplement" NUMERIC DEFAULT (0),"is_abs_supplement_downloaded" NUMERIC DEFAULT (0),"article_sub_type" VARCHAR(50),"is_supplement_downloaded" NUMERIC DEFAULT (0) ,"version" VARCHAR(20),"journal_id" INTEGER,"bookmark_created_date" VARCHAR,"is_cme_article" BOOL DEFAULT (0) ,"issue_pii" VARCHAR,"download_status" INTEGER DEFAULT (0) ,"lancet_article_type" TEXT DEFAULT null, "lancet_article_color" TEXT DEFAULT null,"lancet_article_color_name" TEXT DEFAULT null, "OA_Status_Display" TEXT, "OA_Since_Date" TEXT, "OA_Status_Archive" TEXT,"OA_Display_Sponsor_Name" TEXT, "OA_Display_License" TEXT,"OA_Info_Html" TEXT, "OA_Identifier" TEXT, "Is_Updated" NUMERIC DEFAULT (0),"is_single_supplement_downloaded" integer DEFAULT (0), "has_tables" INTEGER DEFAULT (0), "fulltext_html_text" TEXT, "abstract_html_text" TEXT, "article_was_aip" INTEGER DEFAULT (0));
CREATE INDEX "idx_article_i_pii_a_pii" ON "article" ("issue_pii", "article_info_id");
CREATE INDEX "idx_article_d_status_a_pii" ON "article" ("download_status", "article_info_id");
CREATE INDEX "idx_article_download_status" ON "article" ("download_status");
CREATE INDEX "idx_article_is_bookmark" ON "article" ("is_bookmarked");
CREATE INDEX "idx_article_aip_j_id_a_pii" ON "article" ("article_in_press", "journal_id", "article_info_id");
CREATE TABLE "article_date" ("journal_id"  NOT NULL , "issue_pii"  NOT NULL , "date" , PRIMARY KEY ("journal_id", "issue_pii"));
CREATE TABLE "article_media_type" ("_id" DATETIME NOT NULL  DEFAULT CURRENT_TIMESTAMP ,"article_info_id" Varchar(100) DEFAULT (NULL) ,"media_type_id" Varchar DEFAULT (null) ,"media_url" Varchar DEFAULT (NULL) ,"media_caption" Varchar,"media_thumb_image_name" Varchar,"media_title" VARCHAR,"media_text" varchar,"media_seq" NUMERIC DEFAULT (0), "shareable" INTEGER, "is_fulltext_asset" INTEGER DEFAULT 0, "media_file_duration" TEXT, "media_file_size" NUMERIC DEFAULT (0), "is_downloaded" INTEGER DEFAULT 0, PRIMARY KEY("article_info_id" , "media_caption", "media_title"));
CREATE INDEX "idx_article_media_type_type_id_a_pii" ON "article_media_type" ("media_type_id", "article_info_id");
CREATE TABLE "config" ("app_banner_portrait_splash_screen_ad_iphone" TEXT,"app_banner_portrait_splash_screen_ad_ipad" TEXT,"mj_full_page_landscape_ad_ipad" TEXT,"mj_full_page_portrait_ad_ipad" TEXT,"mj_full_page_portrait_ad_iphone5" TEXT,"mj_full_page_portrait_ad_iphone4" TEXT,"mj_banner_portrait_ad_ipad" TEXT,"mj_banner_portrait_ad_iphone" TEXT,"app_title" ,"app_id" VARCHAR(20) PRIMARY KEY,"app_short_code" VARCHAR(20),"description" VARCHAR(50),"facebook_url" VARCHAR(100),"last_modified" VARCHAR(20),"twitter_url" VARCHAR(100),"google_analytics_code" varchar(100),"email_subject" Text,"flurry_key" VARCHAR(50),"update_link" VARCHAR,"update_title" VARCHAR,"update_description" VARCHAR,"update_version" VARCHAR,"is_society_info_available" INTEGER DEFAULT (0), "is_rss_entries_available" INTEGER DEFAULT (0), "local_timer_interval" NUMERIC DEFAULT (30), "ip_timeout_interval" NUMERIC DEFAULT (7200), "login_timeout_interval" NUMERIC DEFAULT (7200), "last_app_metadata_call_date" NUMERIC);
CREATE TABLE editors_and_board (journal_id integer PRIMARY KEY, html_txt TEXT);
CREATE TABLE "file_size" ("issue_pii" TEXT,"journal_id" TEXT,"article_info_id" TEXT PRIMARY KEY,"fulltext_article_size" NUMERIC DEFAULT (0) ,"supplement_size" NUMERIC DEFAULT (0) ,"pdf_filesize" NUMERIC DEFAULT (0) ,"unzipped_fulltext_article_size" NUMERIC DEFAULT (0) ,"unzipped_supplement_size" NUMERIC DEFAULT (0) ,"unzipped_pdf_filesize" NUMERIC DEFAULT (0),"filesize_abs_suppl" NUMERIC DEFAULT (0));
CREATE INDEX "idx_file_size_unique" ON "file_size" ("issue_pii", "article_info_id", "unzipped_fulltext_article_size", "unzipped_pdf_filesize","unzipped_supplement_size" );
CREATE TABLE "highlight_object" ("_id" TEXT PRIMARY KEY  DEFAULT (null) ,"note" TEXT,"select_text" TEXT,"saved_on_date" TEXT,"selected_article_info_id" TEXT,"note_position" TEXT,"journal_id" TEXT, "issue_pii" TEXT);
CREATE INDEX "idx_highlight_object_j_id_i_pii_a_pii" ON "highlight_object" ("journal_id","issue_pii","selected_article_info_id");
CREATE INDEX "idx_highlight_object_i_pii_a_pii" ON "highlight_object" ("issue_pii","selected_article_info_id");
CREATE INDEX "idx_highlight_object_a_pii" ON "highlight_object" ("selected_article_info_id");
CREATE TABLE "issue" ("editors" TEXT,"issue_id" INTEGER DEFAULT (null) ,"issue_no" VARCHAR(200),"issue_name" VARCHAR,"vol_no" VARCHAR,"date" VARCHAR,"page_range" VARCHAR,"issue_title" VARCHAR,"special_editors" VARCHAR,"cover_image" VARCHAR,"is_all_article_downloaded" BOOL,"is_article_metadata_downloaded" BOOL,"product_id" VARCHAR(100),"product_price" VARCHAR(10),"total_articles" INTEGER,"is_issue_purchased" INTEGER,"version" VARCHAR(20),"j_id" INTEGER DEFAULT (null) ,"issue_pii" TEXT PRIMARY KEY , "downloaded_articles_count" INTEGER, "issue_text_size" FLOAT, "issue_multimedia_size" FLOAT, "download_status" NUMERIC DEFAULT 0, "issue_type_display" TEXT, "release_date_display" TEXT, "release_date_abbr_display" TEXT, "issue_label_display" TEXT, "sequence" NUMERIC, "OA_Status_Display" TEXT, "OA_Since_Date" TEXT, "OA_Status_Archive" TEXT, "OA_Display_Sponsor_Name" TEXT, "OA_Display_License" TEXT, "OA_Identifier" TEXT, is_free_issue INTEGER DEFAULT 0, "articleCount" INTEGER DEFAULT 0, "is_new_issue" INTEGER DEFAULT 0, "is_issue_read" INTEGER DEFAULT 0);
CREATE INDEX "idx_issue_j_id_i_pii" ON "issue" ("j_id","issue_pii");
CREATE INDEX "idx_issue_sequence" ON "issue" ("sequence" DESC);
CREATE TABLE "journal" ("current_issue_pii" TEXT, "full_page_landscape_ad_ipad" TEXT,"full_page_portrait_ad_ipad" TEXT,"full_page_portrait_ad_iphone5" TEXT,"full_page_portrait_ad_iphone4" TEXT,"sky_crapper_portrait_ad_ipad" TEXT,"banner_portrait_ad_ipad" TEXT,"banner_portrait_ad_iPhone" TEXT,"sequence" NUMERIC,"cover_image_path" TEXT,"base_content_url" TEXT,"society_type" TEXT,"short_code" TEXT,"aip_badge_number" NUMERIC,"aip_description" TEXT,"aip_title" TEXT,"pur_subs_id" TEXT,"_id" integer PRIMARY KEY  DEFAULT (null) ,"name" Varchar,"description" Varchar,"image_url" Varchar,"info" Varchar,"last_modified" TEXT,"twitter_consumer_key" TEXT,"twitter_secret_key" TEXT,"facebook_url" TEXT,"twitter_url" TEXT,"facebook_id" Varchar,"email_subject" TEXT,"acess_type" TEXT,"app_id" TEXT,"subscription_id" TEXT,"subscription_price" TEXT,"issn" TEXT,"is_aim_and_scope_available" TEXT,"is_editors_and_board_available" ,"is_aip_available" ,"is_issue_cover_image_available" ,"color_code" TEXT DEFAULT (null) ,"abstract_summary" ,"journal_type" TEXT DEFAULT (null), "j_sequence" INTEGER DEFAULT (null), "OA_Status_Display" TEXT, "OA_Since_Date" TEXT, "OA_Status_Archive" TEXT, "OA_Display_Sponsor_Name" TEXT, "OA_Identifier" TEXT, "isTopArticlesAvailable" NUMERIC DEFAULT (0), "journalTabDefault" NUMERIC DEFAULT (0), "defaultTabTitle" VARCHAR, "branding_image_tablet_landscape" VARCHAR, "branding_image_tablet_landscape_large" VARCHAR, "branding_image_tablet_portrait" VARCHAR, "branding_image_tablet_portrait_large" VARCHAR, "showMedicalAlertsSection" NUMERIC DEFAULT (0), "medicalAlertsSectionTitle" VARCHAR, "is_journal_bookmarked" INTEGER DEFAULT (0), "is_rss_entries_available" INTEGER DEFAULT (0));
CREATE INDEX "idx_journal_issn_toparticleavail" ON "journal" ("issn","isTopArticlesAvailable");
CREATE TABLE journal_link (_id NUMERIC , title VARCHAR, url VARCHAR, PRIMARY KEY(_id,title, url));
CREATE TABLE "new_aip_table" ("journal_id" INTEGER PRIMARY KEY  NOT NULL  DEFAULT (null) ,"aipcount" INTEGER DEFAULT (null) ,"totalcount" INTEGER DEFAULT (null) );
CREATE TABLE "section" ("last_modified" TEXT,"_id" INTEGER DEFAULT (null) ,"section_id" VARCHAR,"section_title" TEXT,"is_this_sub_section" TEXT,"article_info_id" Varchar(2000),  PRIMARY KEY(section_id, article_info_id));
CREATE TABLE "society_link" ("_id" INTEGER PRIMARY KEY  DEFAULT (null) ,"society_link_title" TEXT,"society_link_url" TEXT, "society_id" INTEGER);
CREATE TABLE license (license_name TEXT PRIMARY KEY, html_content TEXT, update_date TEXT);
CREATE TABLE AuthenticationTbl (article_info_id TEXT PRIMARY KEY, session TEXT, primary_usage_info TEXT, title_id TEXT, auth_token TEXT, authenticated_ip_address TEXT, organization_name TEXT, banner_text TEXT);
CREATE TABLE "top_articles" ("id" INTEGER PRIMARY KEY  AUTOINCREMENT, "article_info_id" TEXT, "journal_id" INTEGER);
CREATE TABLE "dates" ("id" INTEGER PRIMARY KEY, "journal_id" INTEGER, "css_date" TEXT, "aip_date" TEXT, "top_article_date" TEXT, "issue_date" TEXT, "journal_feed_central_date" TEXT, "journal_branding_image_date" TEXT);
CREATE TABLE "open_access" ("key_value" TEXT PRIMARY KEY NOT NULL, "key_type" INTEGER DEFAULT (0), "oa_status_display" TEXT, "oa_since_date" TEXT, "oa_status_archive" TEXT, "oa_display_sponsor_name" TEXT, "oa_info_html" TEXT, "oa_display_license" TEXT, "oa_identifier" INTEGER, UNIQUE ("key_type", "key_value"));
CREATE TABLE "feed_central_app" ("id" INTEGER PRIMARY KEY, "type" TEXT, "title" TEXT, "description" TEXT, "url" TEXT, "is_deleted" INTEGER DEFAULT (0), "cover_image" TEXT, "is_read" INTEGER DEFAULT(1), "is_section_read" INTEGER DEFAULT(1), "rss_feed_id" NUMERIC, "sub_type" TEXT, "has_new_feeds" INTEGER DEFAULT(1));
CREATE TABLE "feed_central_journal" ("id" INTEGER PRIMARY KEY, "type" TEXT, "title" TEXT, "description" TEXT, "url" TEXT, "is_deleted" INTEGER DEFAULT (0), "cover_image" TEXT, "is_read" INTEGER DEFAULT(1), "is_section_read" INTEGER DEFAULT(1), "rss_feed_id" NUMERIC, "journal_issn" TEXT, "sub_type" TEXT, "has_new_feeds" INTEGER DEFAULT(1));
CREATE TABLE "feed_entries" ("id" INTEGER PRIMARY KEY AUTOINCREMENT, "feed_id" NUMERIC, "title" TEXT, "content" TEXT, "author" TEXT, "entryUrl" TEXT, "coverImageUrl" TEXT, "entryId" NUMERIC, "inserted" NUMERIC, "updated" NUMERIC, "is_read" INTEGER DEFAULT(1), UNIQUE ("entryId"));
CREATE TABLE "app_theme" ("id" INTEGER PRIMARY KEY AUTOINCREMENT, "color_primary" TEXT, "color_primary_dark" TEXT, "color_accent" TEXT, "color_secondary" TEXT, "color_toolbar" TEXT, "color_toolbar_menu_item" TEXT);
CREATE TABLE "journal_themes" ("id" INTEGER PRIMARY KEY AUTOINCREMENT, "journal_issn" TEXT, "color_primary" TEXT, "color_primary_dark" TEXT, "color_accent" TEXT, "color_secondary" TEXT, "color_toolbar" TEXT, "color_toolbar_menu_item" TEXT, UNIQUE ("journal_issn"));
CREATE INDEX "idx_journal_themes_j_issn" ON "journal_themes" ("journal_issn");
CREATE TABLE "search_history" ("id" INTEGER PRIMARY KEY AUTOINCREMENT, "title" TEXT NOT NULL, "date" TEXT NOT NULL, UNIQUE ("title"));
CREATE TABLE "users" ("id" INTEGER PRIMARY KEY AUTOINCREMENT, "partner_id" INTEGER DEFAULT (0), "partner_name" TEXT NOT NULL, "user_email" TEXT NOT NULL, "user_password" TEXT NOT NULL, "session" TEXT NOT NULL, "user_id" TEXT NOT NULL, "analytics" TEXT NOT NULL, "idp" TEXT NOT NULL,  "user_login_created_timestamp" NUMERIC DEFAULT (0), "user_login_updated_timestamp" NUMERIC DEFAULT (0))
CREATE TABLE "journal_user" ("id" INTEGER PRIMARY KEY AUTOINCREMENT, "partner_id" INTEGER DEFAULT (0), "user_email" TEXT NOT NULL, "journal_issn" TEXT NOT NULL, "is_authorized" INTEGER DEFAULT (0))
CREATE TABLE "parallel_download" ("id" INTEGER PRIMARY KEY AUTOINCREMENT, "issue_pii" TEXT NOT NULL DEFAULT ('0'), "article_info_id" TEXT NOT NULL DEFAULT ('0'), "priority_order" NUMERIC DEFAULT (1), "entry_type" NUMERIC, "entry_sub_type" NUMERIC NOT NULL DEFAULT (0), "download_status" NUMERIC, "download_url" TEXT, "journal_issn" TEXT NOT NULL DEFAULT ('0'), "is_article_images_downloaded" NUMERIC DEFAULT (0), "article_images_download_url" TEXT, "file_name_abstract" TEXT);
CREATE TABLE "sequential_download" ("id" INTEGER PRIMARY KEY AUTOINCREMENT, "download_id" NUMERIC DEFAULT (0), "release_date" TEXT, "issue_pii" TEXT NOT NULL DEFAULT ('0'), "article_info_id" TEXT NOT NULL DEFAULT ('0'), "total_data" NUMERIC, "downloaded_data" NUMERIC, "priority_order" NUMERIC DEFAULT (1), "download_status" NUMERIC, "remaining_time" NUMERIC, "entry_type" NUMERIC, "entry_sub_type" NUMERIC NOT NULL DEFAULT ( 0), "download_url" TEXT, "journal_issn" TEXT NOT NULL DEFAULT ('0'), "issue_article_count" NUMERIC, "file_name_fulltext" TEXT, "download_start_time" NUMERIC, "is_readinglist" NUMERIC DEFAULT (0), "cover_title" TEXT, "ip_info" TEXT, "is_entitled" NUMERIC DEFAULT (0), "download_media_article_file_name" TEXT, "is_single_media_download" NUMERIC DEFAULT (0), "is_article_images_downloaded" NUMERIC DEFAULT (0), "article_images_download_url" TEXT, "is_issue_download" NUMERIC DEFAULT (0), "priority_updated" INTEGER DEFAULT (0));
CREATE TABLE "push_section" ("id" INTEGER PRIMARY KEY AUTOINCREMENT, "sequence" INTEGER DEFAULT (0), "section_id" TEXT NOT NULL, "section_name" TEXT NOT NULL, "segment_reference_id" TEXT NOT NULL, "is_deleted" INTEGER DEFAULT (0), "is_enabled" INTEGER DEFAULT (0), UNIQUE ("section_id"));
CREATE TABLE "push_segment" ("id" INTEGER PRIMARY KEY AUTOINCREMENT, "segment_id" TEXT NOT NULL, "sequence" INTEGER DEFAULT (0), "is_deleted" INTEGER DEFAULT (0), "segment_name" TEXT NOT NULL, "issn" TEXT NOT NULL, UNIQUE ("segment_id"));